Get

  • GET
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /repository
  • /commits
  • /:revision

Returns details of a single commit

Request

REQUIRED SCOPES
REPOSITORY_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

revisionrequiredstring
The git revision (commit SHA, branch name, or tag name)

Example: "abc123def456"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
revisionstring
The full SHA hash of the commit
author_datestring
The date when the commit was authored
commit_datestring
The date when the commit was committed
short_revisionstring
The short SHA hash of the commit (first 7 characters)
messagestring
The commit message
committerMemberView
User/member reference
authorMemberView
User/member reference
statsCommitStatsView
Statistics about the changes in this commit
filesFileEntryView[]
The list of files changed in this commit
content_urlstring
API endpoint to GET the repository contents at this commit
parentsCommitIdView[]
The parent commits of this commit

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/repository/commits/:revision" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/repository/commits/a089d82fe56335c8abd8790859bba925ad10f9d1", "html_url": "https://app.buddy.works/my-workspace/my-project/repository/commit/a089d82fe56335c8abd8790859bba925ad10f9d1", "revision": "a089d82fe56335c8abd8790859bba925ad10f9d1", "author_date": "2025-10-10T04:23:04Z", "commit_date": "2025-10-10T04:23:04Z", "message": "Added vitest-output.xml", "committer": { "url": "https://api.buddy.works/workspaces/my-workspace/members/1", "html_url": "https://app.buddy.works/my-workspace/-/profile/1", "id": 1, "name": "John Doe", "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/1/d643744fbe5ebf2906a4d075a5b97110/w/32/32/AVATAR.png?ts=1760014081477", "email": "john.doe@company.com", "admin": true, "workspace_owner": true }, "author": { "url": "https://api.buddy.works/workspaces/my-workspace/members/1", "html_url": "https://app.buddy.works/my-workspace/-/profile/1", "id": 1, "name": "John Doe", "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/1/d643744fbe5ebf2906a4d075a5b97110/w/32/32/AVATAR.png?ts=1760014081477", "email": "john.doe@company.com", "admin": true, "workspace_owner": true }, "stats": { "additions": 255, "deletions": 0, "total": 255 }, "files": [ { "file_name": "/vitest-output.xml", "status": "ADDED", "additions": 255, "deletions": 0, "total": 255, "patch": "@@ -0,0 +1,255 @@\n+<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n+<testsuites name=\"vitest tests\" tests=\"109\" failures=\"0\" errors=\"0\" time=\"10.911\">\n+ <testsuite name=\"src/utils/array/asArray.test.ts\" timestamp=\"2025-02-18T14:13:09.038Z\" hostname=\"b22f94e69270\" tests=\"6\" failures=\"0\" errors=\"0\" skipped=\"0\" time=\"0.005\">\n+ <testcase classname=\"src/utils/array/asArray.test.ts\" name=\"asArray &gt; input is converted into an array (%p =&gt; %p) null []\">\n..." } ], "content_url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/repository/contents?revision=a089d82fe56335c8abd8790859bba925ad10f9d1", "parents": [ { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/repository/commits/ced6de63ca555fad8d2290c1c158f87232ffd9e1", "html_url": "https://app.buddy.works/my-workspace/my-project/repository/commit/ced6de63ca555fad8d2290c1c158f87232ffd9e1", "revision": "ced6de63ca555fad8d2290c1c158f87232ffd9e1" } ] }
STATUS
200 OK